package com.persagy.apm.report.common.config;

import com.persagy.framework.tenant.mybatis.datasource.db.provider.SimpleJdbcTenantProvider;
import com.persagy.framework.tenant.mybatis.datasource.db.provider.TenantProvider;
import org.springframework.boot.autoconfigure.jdbc.DataSourceProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import com.persagy.framework.tenant.mybatis.datasource.db.config.TenantDataSourceDbProperties;

import javax.annotation.Resource;

/**
 * 多租户配置类
 *
 * @author lixing
 * @version V1.0 2022/5/9 14:40
 **/
@Configuration
public class TenantConfiguration {

    @Resource
    private DataSourceProperties dataSourceProperties;
    @Resource
    private TenantDataSourceDbProperties tenantBasicsProperties;

    @Bean
    public TenantProvider tenantProvider() {
        return new SimpleJdbcTenantProvider(tenantBasicsProperties,dataSourceProperties);
    }
}
